Bug 960381 - gnome-shell eats a lot of memory due to weather extension [NEEDINFO]
Summary: gnome-shell eats a lot of memory due to weather extension
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
: 1069299 (view as bug list)
Depends On:
Blocks: 1016031
TreeView+ depends on / blocked
 
Reported: 2013-05-07 06:56 UTC by Petr Sklenar
Modified: 2016-07-19 10:11 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1016031 (view as bug list)
Environment:
Last Closed: 2016-07-19 10:11:29 UTC
Type: Bug
beland: needinfo?


Attachments (Terms of Use)
top from the system (10.46 KB, text/plain)
2013-05-07 06:56 UTC, Petr Sklenar
no flags Details
dmesg (81.33 KB, text/plain)
2013-05-07 07:02 UTC, Petr Sklenar
no flags Details
/var/log/message (411.08 KB, text/plain)
2013-05-07 07:03 UTC, Petr Sklenar
no flags Details

Description Petr Sklenar 2013-05-07 06:56:38 UTC
Created attachment 744527 [details]
top from the system

Description of problem:
gnome-shell eats a lot of mem

Version-Release number of selected component (if applicable):
todays f19 from testing repo
gnome-shell-3.8.1-2.fc19.x86_64
Linux masox.brq.x.com 3.9.0-301.fc19.x86_64 #1 SMP Mon Apr 29 13:44:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
once on my laptop

Steps to Reproduce:
1. lenovo t61 with 3G mem
2. install f19 in default configuration and see 
3. top
4. 
  
Actual results:
top - 15:59:54 up 22 min,  4 users,  load average: 1.80, 3.16, 2.88
Tasks: 130 total,   4 running, 126 sleeping,   0 stopped,   0 zombie
%Cpu(s): 23.3 us,  4.5 sy,  0.0 ni, 48.3 id, 23.5 wa,  0.0 hi,  0.3 si,  0.0 st
KiB Mem:   3057964 total,  2979428 used,    78536 free,      720 buffers
KiB Swap:  5193724 total,   817452 used,  4376272 free,    46372 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND
 2375 psklenar  20   0 4504592 2.379g   1272 R 47.82 81.58  11:43.17 gnome-shell

# gnome is too slow, unusable

Expected results:
gnome-shell eats too much of memory

Additional info:

Comment 1 Petr Sklenar 2013-05-07 07:02:31 UTC
Created attachment 744529 [details]
dmesg

Comment 2 Petr Sklenar 2013-05-07 07:03:08 UTC
Created attachment 744530 [details]
/var/log/message

/var/log/message

Comment 3 Fedora End Of Life 2013-09-16 13:48:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 4 Tim Waugh 2013-11-12 10:54:41 UTC
I see this too from time to time. Eventually the process is killed and restarted.

Comment 5 Tim Waugh 2013-11-19 14:47:53 UTC
Perhaps it could be caused by this?:
  https://bugzilla.gnome.org/show_bug.cgi?id=711694

I'm seeing it a couple of times a day.

Comment 6 Tim Waugh 2013-11-20 14:07:22 UTC
I've been using a locally built gnome-shell with the patch from comment #5 included since yesterday, and I haven't seen the bad behaviour noted in this bug report since then.

Comment 7 Tim Waugh 2013-11-20 14:13:58 UTC
Proposing as a blocker as per http://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#Default_panel_functionality

Comment 8 Tim Waugh 2013-11-20 16:16:10 UTC
I spoke too soon. It froze again for several minutes just now and is still sluggish and taking a large amount of memory:

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND     
 1699 twaugh    20   0 2862396 1.053g  39576 S   7.3 28.1  15:06.81 gnome-shell

I've just seen the gnome-shell-3.10.2-2.fc20 update so I will install that and restart.

Comment 9 Adam Williamson 2013-11-20 17:43:07 UTC
Discussed at 2013-11-20 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-20/f20-blocker-review.2013-11-20-17.00.log.txt . As described this might well be a blocker, but no-one at the meeting could say they were seeing the same issue - many of us are running GNOME 3, and all of us had been up for multiple days without particularly excessive memory use (my shell process is at 505MB). We'd need a more precise indication that there is a specific, known leak that will cause severe consequences for a large number of F20 users to accept this as a release blocker: Tim, it would help a lot if you can spend some time to identify more specifically exactly where the leak you're hitting is.

Comment 10 Tim Waugh 2013-11-20 17:49:31 UTC
I'll continue to investigate.

Comment 11 Adam Williamson 2013-11-27 17:16:10 UTC
Discussed at 2013-11-27 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-27/f20-blocker-review-3.2013-11-27-17.01.log.txt . Based on other testing experience, we agree there seem to be some leaks in Shell, but they don't seem to be of such extreme severity for most users that it's necessary to block the release: they can reasonably be fixed as post-release updates. Rejected as a blocker.

Comment 12 Tim Waugh 2013-12-18 13:58:59 UTC
This only seems to happen when the "weather" extension from extensions.gnome.org is enabled.

When gnome-shell stops responding to input, I can switch to another VT and run top. Switching back to the gnome-shell VT, leaving for a few seconds, then switching to the "top" VT shows that gnome-shell is using 100% cpu. Additionally, I can see that /usr/share/org.gnome.Weather.Application/org.gnome.Weather.Application is being executed.

Comment 13 Tim Waugh 2013-12-18 14:00:47 UTC
Reported as a bug at extensions.gnome.org, and also left a comment.

Comment 14 Christopher Beland 2014-12-29 18:55:07 UTC
Tim, did you have the URL of that extensions.gnome.org bug report?  I can't find it to check on status.  Thanks!

Comment 15 Tim Waugh 2014-12-31 10:50:38 UTC
I used this link to report the bug:
  https://extensions.gnome.org/errors/report/613
Not sure where those reports end up.

The comment I left was:

 twaugh

I've seen gnome-shell start to use a large amount of memory and become unresponsive after enabling this extension for several hours. https://bugzilla.redhat.com/show_bug.cgi?id=960381
(about a year ago)

Comment 16 Christopher Beland 2015-01-01 20:08:21 UTC
*** Bug 1069299 has been marked as a duplicate of this bug. ***

Comment 17 Christopher Beland 2015-01-01 20:09:11 UTC
Reporter of Bug 1069299 says this also occurs in Fedora 21.

Comment 18 Andre Robatino 2015-01-01 20:11:01 UTC
(In reply to Christopher Beland from comment #17)
> Reporter of Bug 1069299 says this also occurs in Fedora 21.

I can vouch for that. Changing Version to 21.

Comment 19 James Eaton Gonzalez 2015-04-12 13:02:37 UTC
I've got this bug as well, it's spamming the journal non-stop. gnome-shell becomes unresponsive at times.

I do not use the "weather" extension.

I use:

- alternate-tab
- user themes
- dash to dock
- places status indicator

I can make it go away very easily by just not using any extensions, as the problem goes away if you disabled ALL of them.

Comment 20 Florian Müllner 2015-04-16 16:59:21 UTC
(In reply to James Eaton Gonzalez from comment #19)
> I use:
> 
> - alternate-tab
> - user themes
> - dash to dock
> - places status indicator
> 
> I can make it go away very easily by just not using any extensions, as the
> problem goes away if you disabled ALL of them.

Could you enable those extension one-by-one to figure out the culprit?

Comment 21 Andre Robatino 2015-09-26 20:16:44 UTC
I experience this on F22 with gnome-shell-extension-weather, but not with gnome-shell-extension-openweather (currently in koji for F21 and F22, and testing for F23). The latter is much better in general so have switched to that.

Comment 22 Fedora End Of Life 2016-07-19 10:11:29 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.